# Xapian::PositionIterator Class Reference

An iterator pointing to items in a list of positions. More...

List of all members.

## Public Types

typedef std::input_iterator_tag | iterator_category
typedef Xapian::termpos | value_type
typedef Xapian::termpos_diff | difference_type
typedef Xapian::termpos * | pointer
typedef Xapian::termpos & | reference

## Public Member Functions

| PositionIterator (Internal *internal_)
| PositionIterator ()
| Default constructor - for declaring an uninitialised iterator.
| ~PositionIterator ()
| Destructor.
| PositionIterator (const PositionIterator &o)
| Copying is allowed.
void | operator= (const PositionIterator &o)
| Assignment is allowed.
Xapian::termpos | operator* () const
PositionIterator & | operator++ ()
TermPosWrapper | operator++ (int)
void | skip_to (Xapian::termpos pos)
| Advance the iterator to the specified termpos.
std::string | get_description () const
| Return a string describing this object.

## Friends

bool | operator== (const PositionIterator &a, const PositionIterator &b)
| Test equality of two PositionIterators.

## Detailed Description

An iterator pointing to items in a list of positions.

## Constructor & Destructor Documentation

Xapian::PositionIterator::PositionIterator | ( |  | ) |

Default constructor - for declaring an uninitialised iterator.

Xapian::PositionIterator::~PositionIterator | ( |  | ) |

Destructor.

Xapian::PositionIterator::PositionIterator | ( | const PositionIterator & | o | ) |

Copying is allowed.

The internals are reference counted, so copying is also cheap.

## Member Function Documentation

std::string Xapian::PositionIterator::get_description | ( |  | ) | const

Return a string describing this object.

void Xapian::PositionIterator::operator= | ( | const PositionIterator & | o | ) |

Assignment is allowed.

The internals are reference counted, so assignment is also cheap.

void Xapian::PositionIterator::skip_to | ( | Xapian::termpos | pos | ) |

Advance the iterator to the specified termpos.

If the specified termpos isn't in the list, position ourselves on the first termpos after it (or at_end() if no greater term positions are present).

## Friends And Related Function Documentation

bool operator== | ( | const PositionIterator & | a,
|  | const PositionIterator & | b |
| ) |  |  | `[friend]`

Test equality of two PositionIterators.

The documentation for this class was generated from the following file:

- xapian/positioniterator.h